predict.arima {PivotalR} | R Documentation

## Forecast from MADlib's ARIMA fits

### Description

Forecast from models fit by `linlk{madlib.arima}`

### Usage

    ## S3 method for class 'arima.css.madlib'
    predict(object, n.ahead = 1, ...)

### Arguments

`object` | The result of `madlib.arima`.
`n.ahead` | The number of steps ahead for which prediction is required.
`...` | Arguments passed to or from other methods, not implemented yet.

### Value

A `db.table` object, which points to a table that contains the forecasted values. The table has two columns: steps_ahead and forecast_value. One can use the function `lk` to look at the values.

### Author(s)

Author: Predictive Analytics Team at Pivotal Inc.

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`madlib.arima` fits ARIMA model to a time series.

### Examples

    ## Not run:
    ## Please see the examples in madlib.arima doc.

    ## End(Not run)

[Package PivotalR version 0.1.18.3.1 Index]